diff -ru pukiwiki-1.4.7_notb.orig/lib/file.php pukiwiki-1.4.7_notb/lib/file.php
--- pukiwiki-1.4.7_notb.orig/lib/file.php	2006-06-11 23:42:09.000000000 +0900
+++ pukiwiki-1.4.7_notb/lib/file.php	2008-02-02 08:09:03.000000000 +0900
@@ -256,7 +256,7 @@
 		if ($notify_diff_only) $str = preg_replace('/^[^-+].*\n/m', '', $str);
 		$footer['ACTION'] = 'Page update';
 		$footer['PAGE']   = & $page;
-		$footer['URI']    = get_script_uri() . '?' . rawurlencode($page);
+		$footer['URI']    = get_script_uri() . anchor_replace(rawurlencode($page)) . '/';
 		$footer['USER_AGENT']  = TRUE;
 		$footer['REMOTE_ADDR'] = TRUE;
 		pkwk_mail_notify($notify_subject, $str, $footer) or
diff -ru pukiwiki-1.4.7_notb.orig/lib/func.php pukiwiki-1.4.7_notb/lib/func.php
--- pukiwiki-1.4.7_notb.orig/lib/func.php	2006-05-16 01:41:39.000000000 +0900
+++ pukiwiki-1.4.7_notb/lib/func.php	2008-02-02 08:09:03.000000000 +0900
@@ -347,20 +347,18 @@
 
 	$list = $matches = array();
 
-	// Shrink URI for read
-	if ($cmd == 'read') {
-		$href = $script . '?';
-	} else {
-		$href = $script . '?cmd=' . $cmd . '&amp;page=';
-	}
-
 	foreach($pages as $file=>$page) {
-		$r_page  = rawurlencode($page);
 		$s_page  = htmlspecialchars($page, ENT_QUOTES);
 		$passage = get_pg_passage($page);
 
-		$str = '   <li><a href="' . $href . $r_page . '">' .
-			$s_page . '</a>' . $passage;
+		// Shrink URI for read
+		if ($cmd == 'read') {
+			$str = '   <li><a href="' . $script .
+				anchor_replace(rawurlencode($page)) . '/">' . $s_page . '</a>' . $passage;
+		} else {
+			$str = '   <li><a href="' . $script . '?cmd=' . $cmd . '&amp;page=' .
+				rawurlencode($page) . '">' . $s_page . '</a>' . $passage;
+		}
 
 		if ($withfilename) {
 			$s_file = htmlspecialchars($file);
@@ -701,6 +699,12 @@
 	return join($glue, $arr);
 }
 
+// PukiWikiγؤǥ쥯ȥ˵
+function anchor_replace($anchor)
+{
+	return str_replace('%2F', '/', $anchor);
+}
+
 //// Compat ////
 
 // is_a --  Returns TRUE if the object is of this class or has this class as one of its parents
diff -ru pukiwiki-1.4.7_notb.orig/lib/html.php pukiwiki-1.4.7_notb/lib/html.php
--- pukiwiki-1.4.7_notb.orig/lib/html.php	2006-04-16 02:33:35.000000000 +0900
+++ pukiwiki-1.4.7_notb/lib/html.php	2008-02-02 08:09:03.000000000 +0900
@@ -44,19 +44,19 @@
 	$_LINK['edit']     = "$script?cmd=edit&amp;page=$r_page";
 	$_LINK['filelist'] = "$script?cmd=filelist";
 	$_LINK['freeze']   = "$script?cmd=freeze&amp;page=$r_page";
-	$_LINK['help']     = "$script?" . rawurlencode($help_page);
+	$_LINK['help']     = $script . anchor_replace(rawurlencode($help_page)) . '/';
 	$_LINK['list']     = "$script?cmd=list";
 	$_LINK['new']      = "$script?plugin=newpage&amp;refer=$r_page";
 	$_LINK['rdf']      = "$script?cmd=rss&amp;ver=1.0";
-	$_LINK['recent']   = "$script?" . rawurlencode($whatsnew);
+	$_LINK['recent']   = $script . anchor_replace(rawurlencode($whatsnew)) . '/';
 	$_LINK['refer']    = "$script?plugin=referer&amp;page=$r_page";
-	$_LINK['reload']   = "$script?$r_page";
+	$_LINK['reload']   = $script . anchor_replace($r_page) . '/';
 	$_LINK['rename']   = "$script?plugin=rename&amp;refer=$r_page";
 	$_LINK['rss']      = "$script?cmd=rss";
 	$_LINK['rss10']    = "$script?cmd=rss&amp;ver=1.0"; // Same as 'rdf'
 	$_LINK['rss20']    = "$script?cmd=rss&amp;ver=2.0";
 	$_LINK['search']   = "$script?cmd=search";
-	$_LINK['top']      = "$script?" . rawurlencode($defaultpage);
+	$_LINK['top']      = $script . anchor_replace(rawurlencode($defaultpage)) . '/';
 	if ($trackback) {
 		$tb_id = tb_get_id($_page);
 		$_LINK['trackback'] = "$script?plugin=tb&amp;__mode=view&amp;tb_id=$tb_id";
@@ -296,9 +296,9 @@
 		$s_page   = htmlspecialchars($page);
 		$passage  = get_passage($lastmod);
 		$_links[] = $tag ?
-			'<a href="' . $script . '?' . $r_page . '" title="' .
+			'<a href="' . $script . anchor_replace($r_page) . '/" title="' .
 			$s_page . ' ' . $passage . '">' . $s_page . '</a>' :
-			'<a href="' . $script . '?' . $r_page . '">' .
+			'<a href="' . $script . anchor_replace($r_page) . '/">' .
 			$s_page . '</a>' . $passage;
 	}
 	if (empty($_links)) return ''; // Nothing
diff -ru pukiwiki-1.4.7_notb.orig/lib/init.php pukiwiki-1.4.7_notb/lib/init.php
--- pukiwiki-1.4.7_notb.orig/lib/init.php	2006-06-12 00:04:27.000000000 +0900
+++ pukiwiki-1.4.7_notb/lib/init.php	2008-02-02 08:09:03.000000000 +0900
@@ -132,6 +132,14 @@
 }
 
 /////////////////////////////////////////////////
+// Directory settings II (ended with '/')
+
+// Static image files
+define('IMAGE_DIR', $script . 'image/');
+// Keep this directory shown via web browsers like
+// ./IMAGE_DIR from index.php.
+
+/////////////////////////////////////////////////
 // INI_FILE: $agents:  UserAgentμ
 
 $ua = 'HTTP_USER_AGENT';
diff -ru pukiwiki-1.4.7_notb.orig/lib/make_link.php pukiwiki-1.4.7_notb/lib/make_link.php
--- pukiwiki-1.4.7_notb.orig/lib/make_link.php	2005-12-10 16:57:30.000000000 +0900
+++ pukiwiki-1.4.7_notb/lib/make_link.php	2008-02-02 08:09:03.000000000 +0900
@@ -307,7 +307,7 @@
 		if (PKWK_ALLOW_RELATIVE_FOOTNOTE_ANCHOR) {
 			$script = '';
 		} else {
-			$script = get_script_uri() . '?' . rawurlencode($page);
+			$script = get_script_uri() . anchor_replace(rawurlencode($page)) . '/';
 		}
 
 		$id   = ++$note_id;
@@ -735,7 +735,7 @@
 			$al_left = $al_right = '';
 		}
 
-		return $al_left . '<a ' . 'href="' . $script . '?' . $r_page . $anchor .
+		return $al_left . '<a ' . 'href="' . $script . anchor_replace($r_page) . '/' . $anchor .
 			'"' . $title . '>' . $s_alias . '</a>' . $al_right;
 	} else {
 		// Dangling link
diff -ru pukiwiki-1.4.7_notb.orig/lib/trackback.php pukiwiki-1.4.7_notb/lib/trackback.php
--- pukiwiki-1.4.7_notb.orig/lib/trackback.php	2005-07-05 21:51:08.000000000 +0900
+++ pukiwiki-1.4.7_notb/lib/trackback.php	2008-02-02 08:09:03.000000000 +0900
@@ -109,7 +109,7 @@
 	// Sender's information
 	$putdata = array(
 		'title'     => $page, // Title = It's page name
-		'url'       => $script . '?' . $r_page, // will be rawurlencode() at send phase
+		'url'       => $script . anchor_replace($r_page) . '/', // will be rawurlencode() at send phase
 		'excerpt'   => mb_strimwidth(preg_replace("/[\r\n]/", ' ', $excerpt), 0, 255, '...'),
 		'blog_name' => $page_title . ' (' . PLUGIN_TRACKBACK_VERSION . ')',
 		'charset'   => SOURCE_ENCODING // Ping text encoding (Not defined)
diff -ru pukiwiki-1.4.7_notb.orig/plugin/amazon.inc.php pukiwiki-1.4.7_notb/plugin/amazon.inc.php
--- pukiwiki-1.4.7_notb.orig/plugin/amazon.inc.php	2005-04-09 12:18:06.000000000 +0900
+++ pukiwiki-1.4.7_notb/plugin/amazon.inc.php	2008-02-02 08:09:03.000000000 +0900
@@ -212,12 +212,12 @@
 		if ($edit_auth && ($auth_user == '' || ! isset($edit_auth_users[$auth_user]) ||
 		    $edit_auth_users[$auth_user] != $_SERVER['PHP_AUTH_PW'])) {
 		    	// Edit-auth failed. Just look the page
-			header('Location: ' . get_script_uri() . '?' . $r_page_url);
+			header('Location: ' . get_script_uri() . anchor_replace($r_page_url) . '/');
 		} else {
 			$title = plugin_amazon_get_asin_title();
 			if ($title == '' || preg_match('#^/#', $s_page)) {
 				// Invalid page name
-				header('Location: ' . get_script_uri() . '?' . rawurlencode($s_page));
+				header('Location: ' . get_script_uri() . anchor_replace(rawurlencode($s_page)) . '/');
 			} else {
 				$body = '#amazon(' . $asin_all . ',,image)' . "\n" .
 					'*' . $title . "\n" . $amazon_body;
@@ -253,7 +253,7 @@
 	global $amazon_aid;
 	global $asin, $asin_ext, $asin_all;
 
-	$url      = plugin_amazon_cache_image_fetch(CACHE_DIR);
+	$url      = get_script_uri() . plugin_amazon_cache_image_fetch(CACHE_DIR);
 	$url_shop = PLUGIN_AMAZON_SHOP_URI . $asin . '/' . $amazon_aid . 'ref=nosim';
 	$center   = 'text-align:center';
 
diff -ru pukiwiki-1.4.7_notb.orig/plugin/aname.inc.php pukiwiki-1.4.7_notb/plugin/aname.inc.php
--- pukiwiki-1.4.7_notb.orig/plugin/aname.inc.php	2005-09-18 18:32:55.000000000 +0900
+++ pukiwiki-1.4.7_notb/plugin/aname.inc.php	2008-02-02 08:09:03.000000000 +0900
@@ -102,7 +102,7 @@
 	$id = htmlspecialchars($id); // Insurance
 	$class   = $f_super ? 'anchor_super' : 'anchor';
 	$attr_id = $f_noid  ? '' : ' id="' . $id . '"';
-	$url     = $f_full  ? get_script_uri() . '?' . rawurlencode($vars['page']) : '';
+	$url     = $f_full  ? get_script_uri() . anchor_replace(rawurlencode($vars['page'])) . '/' : '';
 	if ($body != '') {
 		$href  = ' href="' . $url . '#' . $id . '"';
 		$title = ' title="' . $id . '"';
diff -ru pukiwiki-1.4.7_notb.orig/plugin/article.inc.php pukiwiki-1.4.7_notb/plugin/article.inc.php
--- pukiwiki-1.4.7_notb.orig/plugin/article.inc.php	2005-09-24 10:12:29.000000000 +0900
+++ pukiwiki-1.4.7_notb/plugin/article.inc.php	2008-02-02 08:09:03.000000000 +0900
@@ -121,7 +121,7 @@
 			$mailbody .= "\n\n" . '---' . "\n";
 			$mailbody .= $_msg_article_mail_sender . $post['name'] . ' (' . $now . ')' . "\n";
 			$mailbody .= $_msg_article_mail_page . $post['refer'] . "\n";
-			$mailbody .= ' URL: ' . $script . '?' . rawurlencode($post['refer']) . "\n";
+			$mailbody .= ' URL: ' . $script . anchor_replace(rawurlencode($post['refer'])) . '/' . "\n";
 			$mailbody = mb_convert_encoding($mailbody, 'JIS');
 
 			$mailaddheader = 'From: ' . PLUGIN_ARTICLE_MAIL_FROM;
diff -ru pukiwiki-1.4.7_notb.orig/plugin/attach.inc.php pukiwiki-1.4.7_notb/plugin/attach.inc.php
--- pukiwiki-1.4.7_notb.orig/plugin/attach.inc.php	2006-04-15 08:51:12.000000000 +0900
+++ pukiwiki-1.4.7_notb/plugin/attach.inc.php	2008-02-02 08:09:03.000000000 +0900
@@ -644,7 +644,7 @@
 			$footer['FILENAME'] = & $this->file;
 			$footer['PAGE']     = & $this->page;
 			$footer['URI']      = get_script_uri() .
-				'?' . rawurlencode($this->page);
+				anchor_replace(rawurlencode($this->page)) . '/';
 			$footer['USER_AGENT']  = TRUE;
 			$footer['REMOTE_ADDR'] = TRUE;
 			pkwk_mail_notify($notify_subject, "\n", $footer) or
diff -ru pukiwiki-1.4.7_notb.orig/plugin/back.inc.php pukiwiki-1.4.7_notb/plugin/back.inc.php
--- pukiwiki-1.4.7_notb.orig/plugin/back.inc.php	2005-06-20 23:57:34.000000000 +0900
+++ pukiwiki-1.4.7_notb/plugin/back.inc.php	2008-02-02 08:09:03.000000000 +0900
@@ -47,7 +47,7 @@
 				$array = anchor_explode($href);
 				$array[0] = rawurlencode($array[0]);
 				$array[1] = ($array[1] != '') ? '#' . rawurlencode($array[1]) : '';
-				$href = $script . '?' . $array[0] .  $array[1];
+				$href = $script . anchor_replace($array[0]) . '/' . $array[1];
 				$link = is_page($array[0]);
 			}
 		} else {
diff -ru pukiwiki-1.4.7_notb.orig/plugin/backup.inc.php pukiwiki-1.4.7_notb/plugin/backup.inc.php
--- pukiwiki-1.4.7_notb.orig/plugin/backup.inc.php	2005-12-10 21:48:02.000000000 +0900
+++ pukiwiki-1.4.7_notb/plugin/backup.inc.php	2008-02-02 08:09:03.000000000 +0900
@@ -70,7 +70,7 @@
 
 	if ($is_page) {
 		$body .= ' <li>' . str_replace('$1',
-			'<a href="' . $script . '?' . $r_page . '">' . $s_page . '</a>',
+			'<a href="' . $script . anchor_replace($r_page) . '/">' . $s_page . '</a>',
 			$_msg_goto) . "\n";
 	} else {
 		$body .= ' <li>' . str_replace('$1', $s_page, $_msg_deleted) . "\n";
diff -ru pukiwiki-1.4.7_notb.orig/plugin/bugtrack.inc.php pukiwiki-1.4.7_notb/plugin/bugtrack.inc.php
--- pukiwiki-1.4.7_notb.orig/plugin/bugtrack.inc.php	2005-04-03 12:33:47.000000000 +0900
+++ pukiwiki-1.4.7_notb/plugin/bugtrack.inc.php	2008-02-02 08:09:03.000000000 +0900
@@ -177,7 +177,7 @@
 		$post['version'], $post['body']);
 
 	pkwk_headers_sent();
-	header('Location: ' . get_script_uri() . '?' . rawurlencode($page));
+	header('Location: ' . get_script_uri() . anchor_replace(rawurlencode($page)) . '/');
 	exit;
 }
 
diff -ru pukiwiki-1.4.7_notb.orig/plugin/calendar.inc.php pukiwiki-1.4.7_notb/plugin/calendar.inc.php
--- pukiwiki-1.4.7_notb.orig/plugin/calendar.inc.php	2005-05-04 13:56:39.000000000 +0900
+++ pukiwiki-1.4.7_notb/plugin/calendar.inc.php	2008-02-02 08:09:03.000000000 +0900
@@ -103,6 +103,10 @@
 
 		if ($cmd == 'read' && ! is_page($name)) {
 			$link = '<strong>' . $day . '</strong>';
+		} else if ($cmd == 'read') {
+			$link = '<a href="' . $script . anchor_replace($r_page) .
+				'/" title="' . $s_page . '"><strong>' . $day .
+				'</strong></a>';
 		} else {
 			$link = '<a href="' . $script . '?cmd=' . $cmd .
 				'&amp;page=' . $r_page . $refer . '" title="' .
diff -ru pukiwiki-1.4.7_notb.orig/plugin/calendar2.inc.php pukiwiki-1.4.7_notb/plugin/calendar2.inc.php
--- pukiwiki-1.4.7_notb.orig/plugin/calendar2.inc.php	2005-05-01 16:38:57.000000000 +0900
+++ pukiwiki-1.4.7_notb/plugin/calendar2.inc.php	2008-02-02 08:09:03.000000000 +0900
@@ -86,7 +86,7 @@
 EOD;
 
 	if ($prefix) $ret .= "\n" .
-		'      <br />[<a href="' . $script . '?' . $r_base . '">' . $s_base . '</a>]';
+		'      <br />[<a href="' . $script . anchor_replace($r_base) . '/">' . $s_base . '</a>]';
 
 	$ret .= "\n" .
 		'     </td>' . "\n" .
@@ -123,7 +123,7 @@
 		}
 
 		if (is_page($page)) {
-			$link = '<a href="' . $script . '?' . $r_page . '" title="' . $s_page .
+			$link = '<a href="' . $script . anchor_replace($r_page) . '/" title="' . $s_page .
 				'"><strong>' . $day . '</strong></a>';
 		} else {
 			if (PKWK_READONLY) {
diff -ru pukiwiki-1.4.7_notb.orig/plugin/calendar_viewer.inc.php pukiwiki-1.4.7_notb/plugin/calendar_viewer.inc.php
--- pukiwiki-1.4.7_notb.orig/plugin/calendar_viewer.inc.php	2005-06-05 21:46:59.000000000 +0900
+++ pukiwiki-1.4.7_notb/plugin/calendar_viewer.inc.php	2008-02-02 08:09:03.000000000 +0900
@@ -190,7 +190,7 @@
 		}
 
 		if (PKWK_READONLY) {
-			$link   = $script . '?' . $r_page;
+			$link   = $script . anchor_replace($r_page) . '/';
 		} else {
 			$link   = $script . '?cmd=edit&amp;page=' . $r_page;
 		}
diff -ru pukiwiki-1.4.7_notb.orig/plugin/diff.inc.php pukiwiki-1.4.7_notb/plugin/diff.inc.php
--- pukiwiki-1.4.7_notb.orig/plugin/diff.inc.php	2005-12-10 21:48:02.000000000 +0900
+++ pukiwiki-1.4.7_notb/plugin/diff.inc.php	2008-02-02 08:09:03.000000000 +0900
@@ -39,7 +39,7 @@
 
 	$is_page = is_page($page);
 	if ($is_page) {
-		$menu[] = ' <li>' . str_replace('$1', '<a href="' . $script . '?' . $r_page . '">' .
+		$menu[] = ' <li>' . str_replace('$1', '<a href="' . $script . anchor_replace($r_page) . '/">' .
 			$s_page . '</a>', $_msg_goto) . '</li>';
 	} else {
 		$menu[] = ' <li>' . str_replace('$1', $s_page, $_msg_deleted) . '</li>';
diff -ru pukiwiki-1.4.7_notb.orig/plugin/edit.inc.php pukiwiki-1.4.7_notb/plugin/edit.inc.php
--- pukiwiki-1.4.7_notb.orig/plugin/edit.inc.php	2006-03-21 23:26:25.000000000 +0900
+++ pukiwiki-1.4.7_notb/plugin/edit.inc.php	2008-02-02 08:09:03.000000000 +0900
@@ -238,7 +238,7 @@
 
 	page_write($page, $postdata, $notimeupdate != 0 && $notimestamp);
 	pkwk_headers_sent();
-	header('Location: ' . get_script_uri() . '?' . rawurlencode($page));
+	header('Location: ' . get_script_uri() . anchor_replace(rawurlencode($page)) . '/');
 	exit;
 }
 
@@ -247,7 +247,7 @@
 {
 	global $vars;
 	pkwk_headers_sent();
-	header('Location: ' . get_script_uri() . '?' . rawurlencode($vars['page']));
+	header('Location: ' . get_script_uri() . anchor_replace(rawurlencode($vars['page'])) . '/');
 	exit;
 }
 
diff -ru pukiwiki-1.4.7_notb.orig/plugin/include.inc.php pukiwiki-1.4.7_notb/plugin/include.inc.php
--- pukiwiki-1.4.7_notb.orig/plugin/include.inc.php	2004-12-30 22:26:43.000000000 +0900
+++ pukiwiki-1.4.7_notb/plugin/include.inc.php	2008-02-02 08:09:03.000000000 +0900
@@ -79,7 +79,7 @@
 
 	$s_page = htmlspecialchars($page);
 	$r_page = rawurlencode($page);
-	$link = '<a href="' . $script . '?' . $r_page . '">' . $s_page . '</a>'; // Read link
+	$link = '<a href="' . $script . anchor_replace($r_page) . '/">' . $s_page . '</a>'; // Read link
 
 	// I'm stuffed
 	if (isset($included[$page])) {
diff -ru pukiwiki-1.4.7_notb.orig/plugin/ls2.inc.php pukiwiki-1.4.7_notb/plugin/ls2.inc.php
--- pukiwiki-1.4.7_notb.orig/plugin/ls2.inc.php	2004-12-05 20:37:37.000000000 +0900
+++ pukiwiki-1.4.7_notb/plugin/ls2.inc.php	2008-02-02 08:09:03.000000000 +0900
@@ -123,7 +123,7 @@
 	$r_page = rawurlencode($page);
 	$s_page = htmlspecialchars($page);
 	$title  = $s_page . ' ' . get_pg_passage($page, FALSE);
-	$href   = $script . '?cmd=read&amp;page=' . $r_page;
+	$href   = $script . anchor_replace($r_page) . '/';
 
 	plugin_ls2_list_push($params, $level);
 	$ret = $include ? '<li>include ' : '<li>';
diff -ru pukiwiki-1.4.7_notb.orig/plugin/navi.inc.php pukiwiki-1.4.7_notb/plugin/navi.inc.php
--- pukiwiki-1.4.7_notb.orig/plugin/navi.inc.php	2005-04-02 15:33:39.000000000 +0900
+++ pukiwiki-1.4.7_notb/plugin/navi.inc.php	2008-02-02 08:09:03.000000000 +0900
@@ -132,7 +132,7 @@
 					$r_page = rawurlencode($_page);
 					$head_tags[] = ' <link rel="' .
 						$rel . '" href="' . $script .
-						'?' . $r_page . '" title="' .
+						anchor_replace($r_page) . '/" title="' .
 						$s_page . '" />';
 				}
 			}
diff -ru pukiwiki-1.4.7_notb.orig/plugin/paint.inc.php pukiwiki-1.4.7_notb/plugin/paint.inc.php
--- pukiwiki-1.4.7_notb.orig/plugin/paint.inc.php	2005-01-29 11:49:41.000000000 +0900
+++ pukiwiki-1.4.7_notb/plugin/paint.inc.php	2008-02-02 08:09:03.000000000 +0900
@@ -87,7 +87,8 @@
 			$r_refer = rawurlencode($vars['refer']);
 			$s_refer = htmlspecialchars($vars['refer']);
 		}
-		$link = "<p><a href=\"$script?$r_refer\">$s_refer</a></p>";;
+		$link_url = $script . anchor_replace($r_refer) . '/';
+		$link = '<p><a href="' . $link_url . '">' . $s_refer . '</a></p>';
 
 		$w = PAINT_APPLET_WIDTH;
 		$h = PAINT_APPLET_HEIGHT;
@@ -139,7 +140,7 @@
  <param name="param4" value="max_file_size=1000000" />
  <param name="param5" value="paint_no=$f_no" />
  <param name="enctype" value="multipart/form-data" />
- <param name="return.URL" value="$script?$r_refer" />
+ <param name="return.URL" value="$link_url" />
  </applet>
  </div>
 EOD;
diff -ru pukiwiki-1.4.7_notb.orig/plugin/pcomment.inc.php pukiwiki-1.4.7_notb/plugin/pcomment.inc.php
--- pukiwiki-1.4.7_notb.orig/plugin/pcomment.inc.php	2005-10-04 23:31:22.000000000 +0900
+++ pukiwiki-1.4.7_notb/plugin/pcomment.inc.php	2008-02-02 08:09:53.000000000 +0900
@@ -58,7 +58,7 @@
 	}
 
 	pkwk_headers_sent();
-	header('Location: ' . get_script_uri() . '?' . rawurlencode($refer));
+	header('Location: ' . get_script_uri() . anchor_replace(rawurlencode($refer)) . '/');
 	exit;
 }
 
diff -ru pukiwiki-1.4.7_notb.orig/plugin/recent.inc.php pukiwiki-1.4.7_notb/plugin/recent.inc.php
--- pukiwiki-1.4.7_notb.orig/plugin/recent.inc.php	2006-03-05 23:59:29.000000000 +0900
+++ pukiwiki-1.4.7_notb/plugin/recent.inc.php	2008-02-02 08:09:03.000000000 +0900
@@ -74,7 +74,7 @@
 		} else {
 			$r_page = rawurlencode($page);
 			$passage = $show_passage ? ' ' . get_passage($time) : '';
-			$items .= ' <li><a href="' . $script . '?' . $r_page . '"' . 
+			$items .= ' <li><a href="' . $script . anchor_replace($r_page) . '/"' .
 				' title="' . $s_page . $passage . '">' . $s_page . '</a></li>' . "\n";
 		}
 	}
diff -ru pukiwiki-1.4.7_notb.orig/plugin/ref.inc.php pukiwiki-1.4.7_notb/plugin/ref.inc.php
--- pukiwiki-1.4.7_notb.orig/plugin/ref.inc.php	2006-02-24 10:35:34.000000000 +0900
+++ pukiwiki-1.4.7_notb/plugin/ref.inc.php	2008-02-02 08:09:03.000000000 +0900
@@ -273,7 +273,7 @@
 					'&amp;src=' . rawurlencode($name); // Show its filename at the last
 			} else {
 				// Try direct-access, if possible
-				$url = $file;
+				$url = get_script_uri() . $file;
 			}
 
 			$width = $height = 0;
diff -ru pukiwiki-1.4.7_notb.orig/plugin/related.inc.php pukiwiki-1.4.7_notb/plugin/related.inc.php
--- pukiwiki-1.4.7_notb.orig/plugin/related.inc.php	2005-12-19 00:28:55.000000000 +0900
+++ pukiwiki-1.4.7_notb/plugin/related.inc.php	2008-02-02 08:09:03.000000000 +0900
@@ -33,7 +33,7 @@
 	$r_word = rawurlencode($_page);
 	$s_word = htmlspecialchars($_page);
 	$msg = 'Backlinks for: ' . $s_word;
-	$retval  = '<a href="' . $script . '?' . $r_word . '">' .
+	$retval  = '<a href="' . $script . anchor_replace($r_word) . '/">' .
 		'Return to ' . $s_word .'</a><br />'. "\n";
 
 	if (empty($data)) {
@@ -46,7 +46,7 @@
 			$r_page  = rawurlencode($page);
 			$s_page  = htmlspecialchars($page);
 			$passage = get_passage($time);
-			$retval .= ' <li><a href="' . $script . '?' . $r_page . '">' . $s_page .
+			$retval .= ' <li><a href="' . $script . anchor_replace($r_page) . '/">' . $s_page .
 				'</a> ' . $passage . '</li>' . "\n";
 		}
 		$retval .= '</ul>' . "\n";
diff -ru pukiwiki-1.4.7_notb.orig/plugin/rename.inc.php pukiwiki-1.4.7_notb/plugin/rename.inc.php
--- pukiwiki-1.4.7_notb.orig/plugin/rename.inc.php	2005-02-27 16:57:26.000000000 +0900
+++ pukiwiki-1.4.7_notb/plugin/rename.inc.php	2008-02-02 08:09:03.000000000 +0900
@@ -382,7 +382,7 @@
 	if ($page == '') $page = PLUGIN_RENAME_LOGPAGE;
 
 	pkwk_headers_sent();
-	header('Location: ' . get_script_uri() . '?' . rawurlencode($page));
+	header('Location: ' . get_script_uri() . anchor_replace(rawurlencode($page)) . '/');
 	exit;
 }
 
diff -ru pukiwiki-1.4.7_notb.orig/plugin/rss.inc.php pukiwiki-1.4.7_notb/plugin/rss.inc.php
--- pukiwiki-1.4.7_notb.orig/plugin/rss.inc.php	2006-03-06 00:01:31.000000000 +0900
+++ pukiwiki-1.4.7_notb/plugin/rss.inc.php	2008-02-02 08:09:03.000000000 +0900
@@ -39,6 +39,7 @@
 	foreach (file_head($recent, $rss_max) as $line) {
 		list($time, $page) = explode("\t", rtrim($line));
 		$r_page = rawurlencode($page);
+		$a_page = anchor_replace($r_page) . '/';
 		$title  = mb_convert_encoding($page, 'UTF-8', SOURCE_ENCODING);
 
 		switch ($version) {
@@ -51,7 +52,7 @@
 			$items .= <<<EOD
 <item>
  <title>$title</title>
- <link>$self?$r_page</link>
+ <link>$self$a_page</link>
 $date
 </item>
 
@@ -61,7 +62,7 @@
 		case '1.0':
 			// Add <item> into <items>
 			$rdf_li .= '    <rdf:li rdf:resource="' . $self .
-				'?' . $r_page . '" />' . "\n";
+				$a_page . '" />' . "\n";
 
 			$date = substr_replace(get_date('Y-m-d\TH:i:sO', $time), ':', -2, 0);
 			$trackback_ping = '';
@@ -71,11 +72,11 @@
 					'?tb_id=' . $tb_id . '</trackback:ping>';
 			}
 			$items .= <<<EOD
-<item rdf:about="$self?$r_page">
+<item rdf:about="$self$a_page">
  <title>$title</title>
- <link>$self?$r_page</link>
+ <link>$self$a_page</link>
  <dc:date>$date</dc:date>
- <dc:identifier>$self?$r_page</dc:identifier>
+ <dc:identifier>$self$a_page</dc:identifier>
 $trackback_ping
 </item>
 
diff -ru pukiwiki-1.4.7_notb.orig/plugin/tb.inc.php pukiwiki-1.4.7_notb/plugin/tb.inc.php
--- pukiwiki-1.4.7_notb.orig/plugin/tb.inc.php	2005-06-16 00:57:11.000000000 +0900
+++ pukiwiki-1.4.7_notb/plugin/tb.inc.php	2008-02-02 08:09:03.000000000 +0900
@@ -152,7 +152,7 @@
 	}
 
 	$title = htmlspecialchars($page);
-	$link  = $script . '?' . rawurlencode($page);
+	$link  = $script . anchor_replace(rawurlencode($page)) . '/';
 	$vars['page'] = $page;
 	$excerpt = strip_htmltag(convert_html(get_source($page)));
 	$excerpt = preg_replace("/&$entity_pattern;/", '', $excerpt);
diff -ru pukiwiki-1.4.7_notb.orig/plugin/topicpath.inc.php pukiwiki-1.4.7_notb/plugin/topicpath.inc.php
--- pukiwiki-1.4.7_notb.orig/plugin/topicpath.inc.php	2005-01-29 23:31:04.000000000 +0900
+++ pukiwiki-1.4.7_notb/plugin/topicpath.inc.php	2008-02-02 08:09:03.000000000 +0900
@@ -54,7 +54,7 @@
 			$topic_path[] = $element;
 		} else {
 			// Page exists or not exists
-			$topic_path[] = '<a href="' . $script . '?' . $landing . '">' .
+			$topic_path[] = '<a href="' . $script . anchor_replace($landing) . '/">' .
 				$element . '</a>';
 		}
 	}
diff -ru pukiwiki-1.4.7_notb.orig/plugin/tracker.inc.php pukiwiki-1.4.7_notb/plugin/tracker.inc.php
--- pukiwiki-1.4.7_notb.orig/plugin/tracker.inc.php	2005-11-29 02:48:30.000000000 +0900
+++ pukiwiki-1.4.7_notb/plugin/tracker.inc.php	2008-02-02 08:09:03.000000000 +0900
@@ -175,7 +175,7 @@
 	$r_page = rawurlencode($page);
 
 	pkwk_headers_sent();
-	header('Location: ' . get_script_uri() . '?' . $r_page);
+	header('Location: ' . get_script_uri() . anchor_replace($r_page) . '/');
 	exit;
 }
 /*
diff -ru pukiwiki-1.4.7_notb.orig/plugin/yetlist.inc.php pukiwiki-1.4.7_notb/plugin/yetlist.inc.php
--- pukiwiki-1.4.7_notb.orig/plugin/yetlist.inc.php	2006-05-07 12:55:26.000000000 +0900
+++ pukiwiki-1.4.7_notb/plugin/yetlist.inc.php	2008-02-02 08:09:03.000000000 +0900
@@ -43,7 +43,7 @@
 			$link_refs = array();
 			foreach ($refer as $_refer) {
 				$r_refer = rawurlencode($_refer);
-				$link_refs[] = '<a href="' . $script . '?' . $r_refer . '">' .
+				$link_refs[] = '<a href="' . $script . anchor_replace($r_refer) . '/">' .
 					htmlspecialchars($_refer) . '</a>';
 			}
 			$link_ref = join(' ', $link_refs);
diff -ru pukiwiki-1.4.7_notb.orig/pukiwiki.ini.php pukiwiki-1.4.7_notb/pukiwiki.ini.php
--- pukiwiki-1.4.7_notb.orig/pukiwiki.ini.php	2006-06-11 23:35:39.000000000 +0900
+++ pukiwiki-1.4.7_notb/pukiwiki.ini.php	2008-02-02 08:09:03.000000000 +0900
@@ -90,9 +90,7 @@
 // ./SKIN_DIR from index.php.
 
 // Static image files
-define('IMAGE_DIR', 'image/');
-// Keep this directory shown via web browsers like
-// ./IMAGE_DIR from index.php.
+// $scriptޤ뤿lib/init.php˰ư
 
 /////////////////////////////////////////////////
 // Local time setting
@@ -117,7 +115,7 @@
 //$script = 'http://example.com/pukiwiki/';
 
 // Shorten $script: Cut its file name (default: not cut)
-//$script_directory_index = 'index.php';
+$script_directory_index = 'index.php';
 
 // Site admin's name (CHANGE THIS)
 $modifier = 'anonymous';
diff -ru pukiwiki-1.4.7_notb.orig/skin/keitai.skin.php pukiwiki-1.4.7_notb/skin/keitai.skin.php
--- pukiwiki-1.4.7_notb.orig/skin/keitai.skin.php	2006-01-09 19:37:05.000000000 +0900
+++ pukiwiki-1.4.7_notb/skin/keitai.skin.php	2008-02-02 08:09:03.000000000 +0900
@@ -59,7 +59,7 @@
 		}
 	}
 }
-$navi[] = '<a href="' . $script . '?' . rawurlencode($menubar) . '" ' . $accesskey . '="4">4.Menu</a>';
+$navi[] = '<a href="' . $script . anchor_replace($menubar) . '/" ' . $accesskey . '="4">4.Menu</a>';
 $navi[] = '<a href="' . $link['recent'] . '" ' . $accesskey . '="5">5.Recent</a>';
 
 // Previous / Next block
diff -ru pukiwiki-1.4.7_notb.orig/skin/pukiwiki.skin.php pukiwiki-1.4.7_notb/skin/pukiwiki.skin.php
--- pukiwiki-1.4.7_notb.orig/skin/pukiwiki.skin.php	2006-03-07 23:03:02.000000000 +0900
+++ pukiwiki-1.4.7_notb/skin/pukiwiki.skin.php	2008-02-02 08:09:03.000000000 +0900
@@ -76,11 +76,11 @@
  <title><?php echo $title ?> - <?php echo $page_title ?></title>
 
  <link rel="SHORTCUT ICON" href="<?php echo $image['favicon'] ?>" />
- <link rel="stylesheet" type="text/css" media="screen" href="skin/pukiwiki.css.php?charset=<?php echo $css_charset ?>" charset="<?php echo $css_charset ?>" />
- <link rel="stylesheet" type="text/css" media="print"  href="skin/pukiwiki.css.php?charset=<?php echo $css_charset ?>&amp;media=print" charset="<?php echo $css_charset ?>" />
+ <link rel="stylesheet" type="text/css" media="screen" href="<?php echo $script ?>skin/pukiwiki.css.php?charset=<?php echo $css_charset ?>" charset="<?php echo $css_charset ?>" />
+ <link rel="stylesheet" type="text/css" media="print"  href="<?php echo $script ?>skin/pukiwiki.css.php?charset=<?php echo $css_charset ?>&amp;media=print" charset="<?php echo $css_charset ?>" />
  <link rel="alternate" type="application/rss+xml" title="RSS" href="<?php echo $link['rss'] ?>" /><?php // RSS auto-discovery ?>
 
-<?php if (PKWK_ALLOW_JAVASCRIPT && $trackback_javascript) { ?> <script type="text/javascript" src="skin/trackback.js"></script><?php } ?>
+<?php if (PKWK_ALLOW_JAVASCRIPT && $trackback_javascript) { ?> <script type="text/javascript" src="<?php echo $script ?>skin/trackback.js"></script><?php } ?>
 
 <?php echo $head_tag ?>
 </head>
diff -ru pukiwiki-1.4.7_notb.orig/skin/tdiary.skin.php pukiwiki-1.4.7_notb/skin/tdiary.skin.php
--- pukiwiki-1.4.7_notb.orig/skin/tdiary.skin.php	2006-03-07 23:03:02.000000000 +0900
+++ pukiwiki-1.4.7_notb/skin/tdiary.skin.php	2008-02-02 08:09:03.000000000 +0900
@@ -579,13 +579,13 @@
  <title><?php echo $title ?> - <?php echo $page_title ?></title>
 
  <link rel="SHORTCUT ICON" href="<?php echo $image['favicon'] ?>" />
- <link rel="stylesheet" type="text/css" media="all" href="skin/theme/base.css" />
- <link rel="stylesheet" type="text/css" media="all" href="skin/theme/<?php echo $theme ?>/<?php echo $theme ?>.css" />
- <link rel="stylesheet" type="text/css" media="screen" href="skin/tdiary.css.php?charset=<?php echo $css_charset ?>&amp;color=<?php echo $css_theme ?>" charset="<?php echo $css_charset ?>" />
- <link rel="stylesheet" type="text/css" media="print"  href="skin/tdiary.css.php?charset=<?php echo $css_charset ?>&amp;color=<?php echo $css_theme ?>&amp;media=print" charset="<?php echo $css_charset ?>" />
+ <link rel="stylesheet" type="text/css" media="all" href="<?php echo $script ?>skin/theme/base.css" />
+ <link rel="stylesheet" type="text/css" media="all" href="<?php echo $script ?>skin/theme/<?php echo $theme ?>/<?php echo $theme ?>.css" />
+ <link rel="stylesheet" type="text/css" media="screen" href="<?php echo $script ?>skin/tdiary.css.php?charset=<?php echo $css_charset ?>&amp;color=<?php echo $css_theme ?>" charset="<?php echo $css_charset ?>" />
+ <link rel="stylesheet" type="text/css" media="print"  href="<?php echo $script ?>skin/tdiary.css.php?charset=<?php echo $css_charset ?>&amp;color=<?php echo $css_theme ?>&amp;media=print" charset="<?php echo $css_charset ?>" />
  <link rel="alternate" type="application/rss+xml" title="RSS" href="<?php echo $link['rss'] ?>" /><?php // RSS auto-discovery ?>
 
-<?php if (PKWK_ALLOW_JAVASCRIPT && $trackback_javascript) { ?> <script type="text/javascript" src="skin/trackback.js"></script><?php } ?>
+<?php if (PKWK_ALLOW_JAVASCRIPT && $trackback_javascript) { ?> <script type="text/javascript" src="<?php echo $script ?>skin/trackback.js"></script><?php } ?>
 
 <?php echo $head_tag ?>
 </head>
